<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_ConsolidatedIncomeStatementAxis" xlink:label="halma_ConsolidatedIncomeStatementAxis" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_AdjustedMember" xlink:label="halma_AdjustedMember" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_AdjustmentsMember" xlink:label="halma_AdjustmentsMember" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_TotalMember" xlink:label="halma_TotalMember" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_ProfitOrLossTable" xlink:label="halma_ProfitOrLossTable" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_ProfitOrLossLineItems" xlink:label="halma_ProfitOrLossLineItems" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_ProfitOnDisposalOfOperations" xlink:label="halma_ProfitOnDisposalOfOperations" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_ProfitBeforeInterestAndTaxation" xlink:label="halma_ProfitBeforeInterestAndTaxation" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_PaidAndProposed" xlink:label="halma_PaidAndProposed" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_PaidAndProposedPerShare" xlink:label="halma_PaidAndProposedPerShare" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_UnrealisedLossesGainsInTheFairValueOfEquityInvestmentsAtFairValueThroughOtherComprehensiveIncome" xlink:label="halma_UnrealisedLossesGainsInTheFairValueOfEquityInvestmentsAtFairValueThroughOtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_GainsLossesRelatingToNetInvestmentHedges" xlink:label="halma_GainsLossesRelatingToNetInvestmentHedges" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_InterestInAssociatesAndOtherInvestments" xlink:label="halma_InterestInAssociatesAndOtherInvestments" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_DeferredTaxOnShareBasedPaymentTransactions" xlink:label="halma_DeferredTaxOnShareBasedPaymentTransactions" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_ExcessTaxDeductionsRelatedToShareBasedPaymentsOnVestedAwards" xlink:label="halma_ExcessTaxDeductionsRelatedToShareBasedPaymentsOnVestedAwards" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_PerformanceSharePlanAwardsVested" xlink:label="halma_PerformanceSharePlanAwardsVested" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_NonControllingInterestDisposed" xlink:label="halma_NonControllingInterestDisposed" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_MarketValueOfOwnShares" xlink:label="halma_MarketValueOfOwnShares" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_CarryingValueOfNetInvestmentHedges" xlink:label="halma_CarryingValueOfNetInvestmentHedges" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_PurchaseOfComputerSoftwareClassifiedAsInvestingActivities" xlink:label="halma_PurchaseOfComputerSoftwareClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_PurchaseOfOtherIntangiblesClassifiedAsInvestingActivities" xlink:label="halma_PurchaseOfOtherIntangiblesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_LoanArrangementFeesClassifiedAsFinancingActivities" xlink:label="halma_LoanArrangementFeesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_RepaymentOfAcquiredDebtOnAcquisitionClassifiedAsFinancingActivities" xlink:label="halma_RepaymentOfAcquiredDebtOnAcquisitionClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_DisclosureOfUseOfAlternativePerformanceMeasuresAPMs" xlink:label="halma_DisclosureOfUseOfAlternativePerformanceMeasuresAPMs" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_DescriptionOfAccountingPolicyForOperatingProfit" xlink:label="halma_DescriptionOfAccountingPolicyForOperatingProfit" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_DescriptionOfAccountingPolicyForAdjustingItems" xlink:label="halma_DescriptionOfAccountingPolicyForAdjustingItems" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_DescriptionOfAccountingPolicyForContractAssetsAndLiabilties" xlink:label="halma_DescriptionOfAccountingPolicyForContractAssetsAndLiabilties" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_DescriptionOfAccountingPolicyForCostsToObtainOrFulfilAContract" xlink:label="halma_DescriptionOfAccountingPolicyForCostsToObtainOrFulfilAContract" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_DisclosureOfAlternativePerformanceMeasures" xlink:label="halma_DisclosureOfAlternativePerformanceMeasures" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_DisclosureOfContractBalances" xlink:label="halma_DisclosureOfContractBalances" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_DisclosureOfForeignCurrencyRisk" xlink:label="halma_DisclosureOfForeignCurrencyRisk" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_DisclosureOfInterestRateRisk" xlink:label="halma_DisclosureOfInterestRateRisk" />
    <loc xlink:type="locator" xlink:href="halma-2024-03-31.xsd#halma_DisclosureOfDisposalOfOperations" xlink:label="halma_DisclosureOfDisposalOfOperations" />
    <labelArc xlink:type="arc" xlink:from="halma_ConsolidatedIncomeStatementAxis" xlink:to="label_halma_ConsolidatedIncomeStatementAxis" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_AdjustedMember" xlink:to="label_halma_AdjustedMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_AdjustmentsMember" xlink:to="label_halma_AdjustmentsMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_TotalMember" xlink:to="label_halma_TotalMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_ProfitOrLossTable" xlink:to="label_halma_ProfitOrLossTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_ProfitOrLossLineItems" xlink:to="label_ProfitOrLossLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_ProfitOnDisposalOfOperations" xlink:to="label_halma_halmaProfitOnDisposalOfOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_ProfitBeforeInterestAndTaxation" xlink:to="label_halma_halmaProfitBeforeInterestAndTaxation_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_PaidAndProposed" xlink:to="label_halma_halmaPaidAndProposed_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_PaidAndProposedPerShare" xlink:to="label_halma_halmaPaidAndProposedPerShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_UnrealisedLossesGainsInTheFairValueOfEquityInvestmentsAtFairValueThroughOtherComprehensiveIncome" xlink:to="label_halma_halmaUnrealisedLossesGainsInTheFairValueOfEquityInvestmentsAtFairValueThroughOtherComprehensiveIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_GainsLossesRelatingToNetInvestmentHedges" xlink:to="label_halma_halmaGainsLossesRelatingToNetInvestmentHedges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_InterestInAssociatesAndOtherInvestments" xlink:to="label_halma_halmaInterestInAssociatesAndOtherInvestments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_DeferredTaxOnShareBasedPaymentTransactions" xlink:to="label_halma_halmaDeferredTaxOnShareBasedPaymentTransactions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_ExcessTaxDeductionsRelatedToShareBasedPaymentsOnVestedAwards" xlink:to="label_halma_halmaExcessTaxDeductionsRelatedToShareBasedPaymentsOnVestedAwards_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_PerformanceSharePlanAwardsVested" xlink:to="label_halma_halmaPerformanceSharePlanAwardsVested_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_NonControllingInterestDisposed" xlink:to="label_halma_halmaNonControllingInterestDisposed_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_MarketValueOfOwnShares" xlink:to="label_halma_halmaMarketValueOfOwnShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_CarryingValueOfNetInvestmentHedges" xlink:to="label_halma_halmaCarryingValueOfNetInvestmentHedges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_PurchaseOfComputerSoftwareClassifiedAsInvestingActivities" xlink:to="label_halma_halmaPurchaseOfComputerSoftwareClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_PurchaseOfOtherIntangiblesClassifiedAsInvestingActivities" xlink:to="label_halma_halmaPurchaseOfOtherIntangiblesClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_LoanArrangementFeesClassifiedAsFinancingActivities" xlink:to="label_halma_halmaLoanArrangementFeesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_RepaymentOfAcquiredDebtOnAcquisitionClassifiedAsFinancingActivities" xlink:to="label_halma_halmaRepaymentOfAcquiredDebtOnAcquisitionClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_DisclosureOfUseOfAlternativePerformanceMeasuresAPMs" xlink:to="label_halma_halmaDisclosureOfUseOfAlternativePerformanceMeasuresAPMs_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_DescriptionOfAccountingPolicyForOperatingProfit" xlink:to="label_halma_halmaDescriptionOfAccountingPolicyForOperatingProfit_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_DescriptionOfAccountingPolicyForAdjustingItems" xlink:to="label_halma_halmaDescriptionOfAccountingPolicyForAdjustingItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_DescriptionOfAccountingPolicyForContractAssetsAndLiabilties" xlink:to="label_halma_halmaDescriptionOfAccountingPolicyForContractAssetsAndLiabilties_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_DescriptionOfAccountingPolicyForCostsToObtainOrFulfilAContract" xlink:to="label_halma_halmaDescriptionOfAccountingPolicyForCostsToObtainOrFulfilAContract_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_DisclosureOfAlternativePerformanceMeasures" xlink:to="label_halma_halmaDisclosureOfAlternativePerformanceMeasures_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_DisclosureOfContractBalances" xlink:to="label_halma_halmaDisclosureOfContractBalances_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_DisclosureOfForeignCurrencyRisk" xlink:to="label_halma_halmaDisclosureOfForeignCurrencyRisk_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_DisclosureOfInterestRateRisk" xlink:to="label_halma_halmaDisclosureOfInterestRateRisk_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="halma_DisclosureOfDisposalOfOperations" xlink:to="label_halma_halmaDisclosureOfDisposalOfOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_halma_ConsolidatedIncomeStatementAxis" id="halma_ConsolidatedIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Consolidated income statement [axis]</label>
    <label xlink:label="label_halma_AdjustedMember" id="halma_AdjustedMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted [member]</label>
    <label xlink:label="label_halma_AdjustmentsMember" id="halma_AdjustmentsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments [member]</label>
    <label xlink:label="label_halma_TotalMember" id="halma_TotalMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total [member]</label>
    <label xlink:label="label_halma_ProfitOrLossTable" id="halma_ProfitOrLossTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [table]</label>
    <label xlink:label="label_ProfitOrLossLineItems" id="ProfitOrLossLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [line items]</label>
    <label xlink:label="label_halma_halmaProfitOnDisposalOfOperations_Standard" id="halma_halmaProfitOnDisposalOfOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit on disposal of operations</label>
    <label xlink:label="label_halma_halmaProfitBeforeInterestAndTaxation_Standard" id="halma_halmaProfitBeforeInterestAndTaxation_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit before interest and taxation</label>
    <label xlink:label="label_halma_halmaPaidAndProposed_Standard" id="halma_halmaPaidAndProposed_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Paid and proposed (£m)</label>
    <label xlink:label="label_halma_halmaPaidAndProposedPerShare_Standard" id="halma_halmaPaidAndProposedPerShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Paid and proposed per share</label>
    <label xlink:label="label_halma_halmaUnrealisedLossesGainsInTheFairValueOfEquityInvestmentsAtFairValueThroughOtherComprehensiveIncome_Standard" id="halma_halmaUnrealisedLossesGainsInTheFairValueOfEquityInvestmentsAtFairValueThroughOtherComprehensiveIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Unrealised(losses)/ gains in the fair value of equity investments at fair value through other comprehensive income</label>
    <label xlink:label="label_halma_halmaGainsLossesRelatingToNetInvestmentHedges_Standard" id="halma_halmaGainsLossesRelatingToNetInvestmentHedges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Gains/(losses) relating to net investment hedges</label>
    <label xlink:label="label_halma_halmaInterestInAssociatesAndOtherInvestments_Standard" id="halma_halmaInterestInAssociatesAndOtherInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest in associates and other investments</label>
    <label xlink:label="label_halma_halmaDeferredTaxOnShareBasedPaymentTransactions_Standard" id="halma_halmaDeferredTaxOnShareBasedPaymentTransactions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deferred tax on share-based payment transactions</label>
    <label xlink:label="label_halma_halmaExcessTaxDeductionsRelatedToShareBasedPaymentsOnVestedAwards_Standard" id="halma_halmaExcessTaxDeductionsRelatedToShareBasedPaymentsOnVestedAwards_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Excess tax deductions related to share-based payments on vested awards</label>
    <label xlink:label="label_halma_halmaPerformanceSharePlanAwardsVested_Standard" id="halma_halmaPerformanceSharePlanAwardsVested_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Performance share plan awards vested</label>
    <label xlink:label="label_halma_halmaNonControllingInterestDisposed_Standard" id="halma_halmaNonControllingInterestDisposed_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non-controlling interest disposed</label>
    <label xlink:label="label_halma_halmaMarketValueOfOwnShares_Standard" id="halma_halmaMarketValueOfOwnShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Market value of own shares</label>
    <label xlink:label="label_halma_halmaCarryingValueOfNetInvestmentHedges_Standard" id="halma_halmaCarryingValueOfNetInvestmentHedges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Carrying value of net investment hedges</label>
    <label xlink:label="label_halma_halmaPurchaseOfComputerSoftwareClassifiedAsInvestingActivities_Standard" id="halma_halmaPurchaseOfComputerSoftwareClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of computer software classified as investing activities</label>
    <label xlink:label="label_halma_halmaPurchaseOfOtherIntangiblesClassifiedAsInvestingActivities_Standard" id="halma_halmaPurchaseOfOtherIntangiblesClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of other intangibles classified as investing activities</label>
    <label xlink:label="label_halma_halmaLoanArrangementFeesClassifiedAsFinancingActivities_Standard" id="halma_halmaLoanArrangementFeesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Loan arrangement fees classified as financing activities</label>
    <label xlink:label="label_halma_halmaRepaymentOfAcquiredDebtOnAcquisitionClassifiedAsFinancingActivities_Standard" id="halma_halmaRepaymentOfAcquiredDebtOnAcquisitionClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Repayment of acquired debt on acquisition classified as financing activities</label>
    <label xlink:label="label_halma_halmaDisclosureOfUseOfAlternativePerformanceMeasuresAPMs_Standard" id="halma_halmaDisclosureOfUseOfAlternativePerformanceMeasuresAPMs_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of use of alternative performance measures APMs</label>
    <label xlink:label="label_halma_halmaDescriptionOfAccountingPolicyForOperatingProfit_Standard" id="halma_halmaDescriptionOfAccountingPolicyForOperatingProfit_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for operating profit</label>
    <label xlink:label="label_halma_halmaDescriptionOfAccountingPolicyForAdjustingItems_Standard" id="halma_halmaDescriptionOfAccountingPolicyForAdjustingItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for adjusting items</label>
    <label xlink:label="label_halma_halmaDescriptionOfAccountingPolicyForContractAssetsAndLiabilties_Standard" id="halma_halmaDescriptionOfAccountingPolicyForContractAssetsAndLiabilties_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for contract assets and liabilties</label>
    <label xlink:label="label_halma_halmaDescriptionOfAccountingPolicyForCostsToObtainOrFulfilAContract_Standard" id="halma_halmaDescriptionOfAccountingPolicyForCostsToObtainOrFulfilAContract_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for costs to obtain or fulfil a contract</label>
    <label xlink:label="label_halma_halmaDisclosureOfAlternativePerformanceMeasures_Standard" id="halma_halmaDisclosureOfAlternativePerformanceMeasures_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of alternative performance measures</label>
    <label xlink:label="label_halma_halmaDisclosureOfContractBalances_Standard" id="halma_halmaDisclosureOfContractBalances_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of contract balances</label>
    <label xlink:label="label_halma_halmaDisclosureOfForeignCurrencyRisk_Standard" id="halma_halmaDisclosureOfForeignCurrencyRisk_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of foreign currency risk</label>
    <label xlink:label="label_halma_halmaDisclosureOfInterestRateRisk_Standard" id="halma_halmaDisclosureOfInterestRateRisk_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of interest rate risk</label>
    <label xlink:label="label_halma_halmaDisclosureOfDisposalOfOperations_Standard" id="halma_halmaDisclosureOfDisposalOfOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of disposal of operations</label>
  </labelLink>
</linkbase>